import request from '@/utils/request'

// 查询权限配置(必须)列表
export function listAccess1691998078000(query) {
  return request({
    url: '/forms/api/gen/Access1691998078000/list',
    method: 'get',
    params: query
  })
}

// 查询权限配置(必须)详细
export function getAccess1691998078000(id) {
  return request({
    url: '/forms/api/gen/Access1691998078000/' + id,
    method: 'get'
  })
}

// 新增权限配置(必须)
export function addAccess1691998078000(data) {
  return request({
    url: '/forms/api/gen/Access1691998078000',
    method: 'post',
    data: data
  })
}

// 修改权限配置(必须)
export function updateAccess1691998078000(data) {
  return request({
    url: '/forms/api/gen/Access1691998078000',
    method: 'put',
    data: data
  })
}

// 删除权限配置(必须)
export function delAccess1691998078000(id) {
  return request({
    url: '/forms/api/gen/Access1691998078000/' + id,
    method: 'delete'
  })
}
